SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001453SiT!knowledge basepublic2011-02-09 16:242011-05-07 16:31
ReporterServerGuy01 
Assigned ToTomse 
PriorityhighSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.62 LTS 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001453: Attach files to a Knowledge Base Article
DescriptionCurrently there is no way for a file to be attached to a knowledge base article. Would like to have this feature added.
Additional InformationSet as high in hopes it will get added soon ^_^
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003572)
paulh (administrator)
2011-02-10 20:13

agree, the KB needs quite an overhaul really its got somewhat left behind
(0003578)
ServerGuy01 (reporter)
2011-02-10 22:04

I'm hoping to have this either added as a plugin or be able to modify code on version 3.62 Im really wairy of upgrading to 4.0 because my sit installation has been customized so much. Is there any way to get this accomplished?

I dont believe I will be able to get to 4.0 or above without heavy involvment from the SiT team.

Thanks
User avatar (0003601)
paulh (administrator)
2011-02-14 13:11

Hi, we wouldn't advise switching to 4.x as your production version at the moment as its still a development version at the moment and is in a state of flux.

It would probably be relatively straightforward to be able to add files just as a list to a KB article so we may be able to backport/supply a patch. My greater goal is to be able to embed files such as images/screenshots into the articles
(0003604)
ServerGuy01 (reporter)
2011-02-15 21:06

I was just meaning when 4.0 comes out I will probably not be able to upgrade.

The ebst thing i can hope for right now is to be able to attach files to an article. If in the end we are able to insert screenshots that would be great.

We are getting to the point where we really need this feature so i hope it finds its way to a programmer :)

Also i noted another KB feature that seems to be missing is a print button for the article, you can print the page but its poorly formatted for a printed document.

Thanks!
User avatar (0003675)
Tomse (developer)
2011-03-09 17:29

We had a brainstorming on IRC, and concluded this:

All filetypes should be uploadable
Images should be displayed (either by bbcode or directly) as well as have a download link

files will be saved in attachments-xxx/kb/<article nr>/<sequential file number>
table "files" should be used here too
User avatar (0003778)
Tomse (developer)
2011-05-07 16:31

fixed in GIT:0f2e219

added upload possibility to knowledgebase, added show of files to knowledgebase articles (html.inc.php)
reworked download.php to accept download requests from other pages than just incident updates

- Issue History
Date Modified Username Field Change
2011-02-09 16:24 ServerGuy01 New Issue
2011-02-10 20:13 paulh Note Added: 0003572
2011-02-10 20:13 paulh Status new => confirmed
2011-02-10 22:04 ServerGuy01 Note Added: 0003578
2011-02-14 13:11 paulh Note Added: 0003601
2011-02-15 21:06 ServerGuy01 Note Added: 0003604
2011-03-09 17:26 Tomse Assigned To => Tomse
2011-03-09 17:26 Tomse Status confirmed => assigned
2011-03-09 17:29 Tomse Note Added: 0003675
2011-03-10 13:41 Tomse Target Version => 3.90beta1
2011-05-07 16:31 Tomse Note Added: 0003778
2011-05-07 16:31 Tomse Status assigned => resolved
2011-05-07 16:31 Tomse Fixed in Version => Current GIT
2011-05-07 16:31 Tomse Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker